Rated 4 out of 5 stars

Miss this plugin. Why the author don't upgrade for Firefox 7 compatibility? Have anyone downloaded the version linked by Foggy Bummer? Does it really work?